For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve campaign spend details

This endpoint calculates remaining campaign budget for specific campaigns based on their available balance and spending limits. It allows checking how much budget is left by different time periods (da

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint calculates remaining campaign budget for specific campaigns based on their available balance and spending limits. It allows checking how much budget is left by different time periods (daily, hourly, or total) to manage campaign spending and budget allocation."

Retrieve campaign spend details

Retrieve campaign spend details

post

This endpoint calculates remaining campaign budget for specific campaigns based on their available balance and spending limits. It allows checking how much budget is left by different time periods (daily, hourly, or total) to manage campaign spending and budget allocation.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

Your campaign spending details.

application/json
post/v2/spend/campaign
POST /v2/spend/campaign HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "campaignSpendRequest": [
    {
      "id": "text",
      "spendType": "SPEND_TYPE_DAILY"
    }
  ]
}
{
  "campaignSpends": [
    {
      "failure": {
        "message": "text"
      },
      "id": "text",
      "spendType": "SPEND_TYPE_DAILY",
      "success": {
        "amount": 1
      }
    }
  ]
}